# Uses of Interface
org.eclipse.core.filebuffers.manipulation.IFileBufferOperation

Packages that use IFileBufferOperation
Package
Description
org.eclipse.core.filebuffers.manipulation
Provides the API for manipulating file buffers.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of IFileBufferOperation in org.eclipse.core.filebuffers.manipulation

Classes in org.eclipse.core.filebuffers.manipulation that implement IFileBufferOperation
Modifier and Type
Class
Description
`class`
`ConvertLineDelimitersOperation`
A text file buffer operation that changes the line delimiters to a specified line delimiter.
`class`
`RemoveTrailingWhitespaceOperation`
A text file buffer operation that removes all trailing whitespace.
`class`
`TextFileBufferOperation`
Abstraction for a file buffer operation that works on text file buffers.
Methods in org.eclipse.core.filebuffers.manipulation with parameters of type IFileBufferOperation
Modifier and Type
Method
Description
`void`
GenericFileBufferOperationRunner.`execute(IPath[] locations, IFileBufferOperation operation, IProgressMonitor monitor)`
Executes the given operation for all file buffers specified by the given locations.

## Uses of IFileBufferOperation in org.eclipse.ui.editors.text

Fields in org.eclipse.ui.editors.text declared as IFileBufferOperation
Modifier and Type
Field
Description
`protected IFileBufferOperation`
FileBufferOperationAction.`fFileBufferOperation`
Methods in org.eclipse.ui.editors.text with parameters of type IFileBufferOperation
Modifier and Type
Method
Description
`protected final void`
FileBufferOperationAction.`doRun(IFile[] files, IPath location, IFileBufferOperation fileBufferOperation)`
`protected final void`
FileBufferOperationHandler.`doRun(IFile[] files, IPath location, IFileBufferOperation fileBufferOperation)`
Runs the given operation.
Constructors in org.eclipse.ui.editors.text with parameters of type IFileBufferOperation
Modifier
Constructor
Description
`protected`
`FileBufferOperationAction(IFileBufferOperation fileBufferOperation)`
``
`FileBufferOperationHandler(IFileBufferOperation fileBufferOperation)`
Creates a new file buffer operation handler.